SmartGearsPortalValve (threadlocal-vars-cleaner 2.1.0-4.10.0-134368 API)
Date: 2018-02-15

org.gcube.portal.threadlocalexec

## Class SmartGearsPortalValve

- java.lang.Object
- - org.apache.catalina.util.LifecycleBase
  - - org.apache.catalina.util.LifecycleMBeanBase
    - - org.apache.catalina.valves.ValveBase
      - - org.gcube.portal.threadlocalexec.SmartGearsPortalValve

- All Implemented Interfaces:
    MBeanRegistration, org.apache.catalina.Contained, org.apache.catalina.Lifecycle, org.apache.catalina.Valve

      public class SmartGearsPortalValve
      extends org.apache.catalina.valves.ValveBase

  Author:
    Massimiliano Assante, CNR ISTI, Lucio Lelii, CNR ISTI

- - ### Field Summary

    - ### Fields inherited from class org.apache.catalina.valves.ValveBase

      `asyncSupported, container, containerLog, info, next, sm`

    - ### Fields inherited from class org.apache.catalina.util.LifecycleMBeanBase

      `mserver`

    - ### Fields inherited from interface org.apache.catalina.Lifecycle

      `AFTER_DESTROY_EVENT, AFTER_INIT_EVENT, AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_DESTROY_EVENT, BEFORE_INIT_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, CONFIGURE_START_EVENT, CONFIGURE_STOP_EVENT, PERIODIC_EVENT, START_EVENT, STOP_EVENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SmartGearsPortalValve()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getCurrentUsername(javax.servlet.http.HttpServletRequest httpServletRequest)`
    `void` | `invoke(org.apache.catalina.connector.Request req, org.apache.catalina.connector.Response resp)`

    - ### Methods inherited from class org.apache.catalina.valves.ValveBase

      `backgroundProcess, event, getContainer, getDomainInternal, getInfo, getNext, getObjectNameKeyProperties, initInternal, isAsyncSupported, setAsyncSupported, setContainer, setNext, startInternal, stopInternal, toString`

    - ### Methods inherited from class org.apache.catalina.util.LifecycleMBeanBase

      `destroyInternal, getDomain, getObjectName, postDeregister, postRegister, preDeregister, preRegister, register, setDomain, unregister`

    - ### Methods inherited from class org.apache.catalina.util.LifecycleBase

      `addLifecycleListener, destroy, findLifecycleListeners, fireLifecycleEvent, getState, getStateName, init, removeLifecycleListener, setState, setState, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SmartGearsPortalValve

          public SmartGearsPortalValve()

  - ### Method Detail

    - #### invoke

          public void invoke(org.apache.catalina.connector.Request req,
                             org.apache.catalina.connector.Response resp)
                      throws IOException,
                             javax.servlet.ServletException

      Specified by:
        `invoke` in interface `org.apache.catalina.Valve`
      Specified by:
        `invoke` in class `org.apache.catalina.valves.ValveBase`
      Throws:
        `IOException`
        `javax.servlet.ServletException`

    - #### getCurrentUsername

          public static String getCurrentUsername(javax.servlet.http.HttpServletRequest httpServletRequest)

      Parameters:
        `httpServletRequest` - the httpServletRequest object
      Returns:
        the instance of the user
      See Also:
        `GCubeUser`

Copyright © 2018. All Rights Reserved.